Returns the cascade activation steepnesses

- « fann_get_cascade_activation_steepnesses_count

- fann_get_cascade_candidate_change_fraction »

- PHP Manual
- Fann Functions
- Returns the cascade activation steepnesses

# fann_get_cascade_activation_steepnesses

(PECL fann >= 1.0.0)

fann_get_cascade_activation_steepnesses — Returns the cascade activation steepnesses

### Description

fann_get_cascade_activation_steepnesses(resource `$ann`): array

The cascade activation steepnesses array is an array of the different activation functions used by the candidates.

See fann_get_cascade_num_candidates() for a description of which candidate neurons will be generated by this array.

The default activation steepnesses are {0.25, 0.50, 0.75, 1.00}.

### Parameters

`ann`

  Neural network resource.

### Return Values

The cascade activation steepnesses, or `false` on error.

### See Also

- fann_get_cascade_activation_steepnesses_count() - The number of activation steepnesses
- fann_set_cascade_activation_steepnesses() - Sets the array of cascade candidate activation steepnesses